commit:     50e4d384566dd326f1a747afc407552c300d1651
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 14 04:38:41 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 14 06:05:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50e4d384

dev-python/tox: Bump to 4.18.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/tox/Manifest          |  1 +
 dev-python/tox/tox-4.18.0.ebuild | 97 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 64a8fe1e904d..00183ef382a0 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -1,3 +1,4 @@
 DIST tox-4.16.0.tar.gz 179738 BLAKE2B 
24ab57b05504ca8d4ef39c164604e5cc8150d722d0d0258bac8fe35b0dcf7ee31625734c65cabb26b4c49f377fe9b2be65f8d84481f7aee7307f9499e6498929
 SHA512 
b3d65c5b4f086f1f0474d6cb08d3d4bcdf81735376a94e97997ab5dee5c726e71e8b9a1117eda59f9afd61be0bff38a9533faf16e76b78b504ff6de0f2ddfde0
 DIST tox-4.17.0.tar.gz 179927 BLAKE2B 
07e98d42248482ba0bf77080ea32ab5ccca937f1a8788a80d3e8f24a62f71553669bbcaaab4570f8d0ec4c6eecef3b0f812c00e9a31f212cb13bc16568408993
 SHA512 
8debbd10beca8d54135b11e88fdf8189389ec883f201bb3ef3b8418cd07f3247332cda4e0a82ee79ec9eadd09068bfd6bf0880ab22c88d82507dbf1c1650cedd
 DIST tox-4.17.1.tar.gz 180242 BLAKE2B 
7b0a9964b359500bac47547530edf4e62fb8f39a52e10987959945e993f55f62f5ffed4db0c482c881348af5366c723be431ad9ded2d3642806c71ce62de0799
 SHA512 
51041bc7f09de1fdf4cfdc9c25ed2a4add2984a8612d4d43ce4740e7920d8fa984c1c64d0d6a45947d1891de6fa35507b1ca14afa641bc5af184ad97ba6df640
+DIST tox-4.18.0.tar.gz 180782 BLAKE2B 
dc9832ad75c3e8564317bd618fa644ff2f393e507d7ff03292f65f0b10884d010708820768b6acd403783fd78868eddedb1ce931280d1e06e8d83214d85d4879
 SHA512 
4934b6d9406cc4500e75da76157ceb2dd9d7d0fd5e803fcd2c2bc9b5d2837678eead5af21dd6eb82ae7fe04c90aef78cc3db445daeed194a444ad88687ec1eeb

diff --git a/dev-python/tox/tox-4.18.0.ebuild b/dev-python/tox/tox-4.18.0.ebuild
new file mode 100644
index 000000000000..44a2547684f8
--- /dev/null
+++ b/dev-python/tox/tox-4.18.0.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+       https://tox.readthedocs.io/
+       https://github.com/tox-dev/tox/
+       https://pypi.org/project/tox/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       dev-python/cachetools[${PYTHON_USEDEP}]
+       dev-python/chardet[${PYTHON_USEDEP}]
+       dev-python/colorama[${PYTHON_USEDEP}]
+       dev-python/filelock[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       dev-python/platformdirs[${PYTHON_USEDEP}]
+       dev-python/pluggy[${PYTHON_USEDEP}]
+       dev-python/pyproject-api[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               dev-python/tomli[${PYTHON_USEDEP}]
+       ' 3.{9..10})
+       dev-python/virtualenv[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/hatch-vcs[${PYTHON_USEDEP}]
+       test? (
+               dev-python/build[${PYTHON_USEDEP}]
+               dev-python/distlib[${PYTHON_USEDEP}]
+               dev-python/flaky[${PYTHON_USEDEP}]
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               dev-python/re-assert[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep '
+                       dev-python/time-machine[${PYTHON_USEDEP}]
+               ' 'python*')
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # upstream lower bounds are meaningless
+       sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       # devpi_process is not packaged, and has lots of dependencies
+       cat > "${T}"/devpi_process.py <<-EOF || die
+               def IndexServer(*args, **kwargs): raise NotImplementedError()
+       EOF
+
+       local -x PYTHONPATH=${T}:${PYTHONPATH}
+       local EPYTEST_DESELECT=(
+               # Internet
+               
tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+               
tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_run_installpkg_targz
+       )
+       local EPYTEST_IGNORE=(
+               # requires devpi*
+               tests/test_provision.py
+       )
+
+       case ${EPYTHON} in
+               pypy3)
+                       EPYTEST_DESELECT+=(
+                               
'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[explicit-True-True]'
+                               
'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements-True-True]'
+                               
'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[constraints-True-True]'
+                               
'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[explicit+requirements-True-True]'
+                               
'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements_indirect-True-True]'
+                               
'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements_constraints_indirect-True-True]'
+                       )
+                       ;;
+               python3.13)
+                       EPYTEST_DESELECT+=(
+                               # https://github.com/tox-dev/tox/issues/3290
+                               
'tests/config/loader/test_str_convert.py::test_str_convert_ok_py39[1,2-value1-Optional]'
+                       )
+                       ;;
+       esac
+
+       epytest
+}

Reply via email to